org.apache.ignite.internal.commandline.property

## Enum PropertyArgs.Action

- java.lang.Object
- - java.lang.Enum<PropertyArgs.Action>
  - - org.apache.ignite.internal.commandline.property.PropertyArgs.Action

All Implemented Interfaces:
  Serializable, Comparable<PropertyArgs.Action>

Enclosing class:
  PropertyArgs

    public static enum PropertyArgs.Action
    extends Enum<PropertyArgs.Action>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GET`
`SET`

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable PropertyArgs.Action` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static PropertyArgs.Action` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyArgs.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final PropertyArgs.Action GET

#### SET

    public static final PropertyArgs.Action SET

### Method Detail

#### values

    public static PropertyArgs.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyArgs.Action c : PropertyArgs.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyArgs.Action valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable PropertyArgs.Action fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023